{% extends "base.html.twig" %}
{% block body %}
<h1 class="text-center">News feeds</h1>
<div class="container">

{% if  app.user %}

{% if lastMessage is not null %}

<p class="lastMessage"> Last message {{lastMessage.title}} posted by <a href="{{ path("all_messages", { id:lastMessage.user.id })}}">{{lastMessage.user.username}}</a></p>

{% endif %}

<a href="{{path("add_messages")}}" class="btn btn-primary margin"> Add message </a>

{% for message in messages | reverse %}

    <div class="jumbotron">
        <h3>{{message.title}}</h3>
        <p>{{message.contents}}</p>
        <p class="lead">{{message.date|date('Y-m-d H:i:s') }} <a class="btn btn-primary" href="{{ path("message_user_target", { id:message.user.id })}}">{{message.user.username}}</a>
            <div class="right">
                <a class="btn btn-success" href="{{ path("like_message", { id:message.id })}}"> <i class="fas fa-smile-beam"></i> {{message.likeMessage}}</a>
                <a class="btn btn-danger" href="{{ path("dislike_message", { id:message.id })}}"> <i class="fas fa-angry"></i> {{message.dislikeMessage}}</a>
            </div>
        </p>
    </div>

{% endfor %}

</div>

{% else %}

<div class="center">
    <p class="warningMessage"> You must be logged in to be able to read the messages.</p>
    <a class="btn btn-primary " href="{{path("add_user")}}">Registration</a>
    <a class="btn btn-primary " href="{{path("app_login")}}">Login</a>
</div>

{% endif %}

{% endblock body %}
        